## ListLoginProviders **post** `/gitpod.v1.AccountService/ListLoginProviders` Lists available login providers with optional filtering. Use this method to: - View supported authentication methods - Get provider-specific login URLs - Filter providers by invite ### Examples - List all providers: Shows all available login providers. ```yaml pagination: pageSize: 20 ``` - List for specific invite: Shows providers available for an invite. ```yaml filter: inviteId: "d2c94c27-3b76-4a42-b88c-95a85e392c68" pagination: pageSize: 20 ``` ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `filter: optional object { email, inviteId }` filter contains the filter options for listing login methods - `email: optional string` email is the email address to filter SSO providers by - `inviteId: optional string` invite_id is the ID of the invite URL the user wants to login with - `pagination: optional object { token, pageSize }` pagination contains the pagination options for listing login methods - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `pagination: object { nextToken }` - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results - `allowCustom: optional boolean` allow_custom indicates whether custom SSO is allowed for this domain - `loginProviders: optional array of LoginProvider` - `provider: string` provider is the provider used by this login method, e.g. "github", "google", "custom" - `loginUrl: optional string` login_url is the URL to redirect the browser agent to for login, when provider is "custom" ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.AccountService/ListLoginProviders \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "allowCustom": true, "loginProviders": [ { "provider": "provider", "loginUrl": "loginUrl" } ] } ```